Skip to main content
POST
Acquire/repay loan
For more information, please visit the INTX TS SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

asset
string
required

Identifies the asset by name (e.g., BTC), UUID (e.g., 291efb0f-2396-4d41-ad03-db3b2311cb2c), or asset ID (e.g., 1482439423963469)

Body

application/json
action
enum<string>
required

The loan update action to take

Available options:
ACQUIRE,
REPAY
Example:

"ACQUIRE"

amount
string
required

The amount of the loan to acquire or repay in quantity

Example:

1000

Response

Loan update result

portfolio_id
string

The unique identifier of the portfolio

Example:

"t4umaqa-1-1"

asset_id
string

The unique identifier of the asset

Example:

"14thr7fc-1-1"

delta
number<double>

The change in the loan amount

Example:

10.75

total
number<double>

The total quantity of the asset borrowed by the portfolio

Example:

100.75

asset_uuid
string<uuid>

The UUID of the asset

Example:

"d92669ba-8a04-46d8-9b28-a2bbaeee3b9a"

portfolio_uuid
string<uuid>

The UUID of the portfolio

Example:

"018ab3b1-d38a-750e-8a1d-8b7815ea8bfb"